@charset "UTF-8";

/* CSS Document */

* {
    outline: 0 !important;
}


:root {
    --main-color: #133758;
    --main-color-deg-dark: #0c2237;
    --main-color-dark: #0c2237;
    --main-color-ultra-dark: #081623;
    --main-color-light: #215e97;
    --main-color-ultra-light: #94c4ef;
    --alt-color: #69886a;
    --alt-color-dark: #4e654f;
    --alt-color-ultra-dark: #324133;
    --alt-color-light: #acdfae;
    --alt-color-ultra-light: #c9dfca;
    --bg_sim_transparency: rgba(255, 255, 255, 0.1);
}

html {
    background: url('/libs/images/bg_login.png') no-repeat center center fixed, linear-gradient(180deg, var(--main-color-dark) 0%, var(--main-color) 50%, var(--main-color-dark) 100%) center center fixed;
    -webkit-background-size: 100% auto;
    background-size: 100% auto;
}

html,
body {
    color: rgba(0, 0, 0, 0.55);
    background-color: var(--main-color-dark);
    width: 100%;
    min-height: 100dvh;
    font-size: inherit;
}

body {
    background: transparent;
    font-family: 'Montserrat', sans-serif;
}

.min-dvh-100 {
    min-height: 100dvh !important;
}

.max-dvh-100 {
    max-height: 100dvh !important;
}

a {
    color: var(--main-color-dark);
    font-weight: 600;
    transition: color .2s;
    text-decoration: none;
}

a:hover,
a:active,
a:focus {
    color: var(--main-color);
}

body:has(.error_content)::after {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    backdrop-filter: blur(1rem);
    -webkit-backdrop-filter: blur(1rem);
}

.me_logo,
.me_logo:active,
.me_logo:focus {
    opacity: .3;
    max-width: 100px;
    position: fixed;
    right: 0;
    bottom: 0;
    padding: 0.2rem 0.5rem;
    transform-origin: right bottom;
    transition: opacity 0.2s ease-in-out, transform 0.2s ease-in-out;
}

.me_logo:hover {
    opacity: 1;
    max-width: 100px;
    position: fixed;
    right: 0;
    bottom: 0;
    padding: 0.2rem 0.5rem;
    transform: scale(1.05);
}

.me_login .card {
    background: rgb(4 8 23 / 68%);
    backdrop-filter: blur(.5rem);
    -webkit-backdrop-filter: blur(.5rem);
}

.me_login .card-heading {
    height: auto;
    max-height: 200px;
    aspect-ratio: 100/30;
}

.me_login .card-heading img {
    height: 100%
}


/************************
* Forms
************************/

span.me_outline,
.form-control.me_outline {
    border-color: rgba(255, 255, 255, .5);
    background-color: rgb(0 0 0 / 32%);
    box-shadow: inset 0 0 1rem #000000;
    color: #fff;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, opacity 0.15s ease-in-out;
}

.form-control.me_outline.is-invalid,
div:has(input.is-invalid)>.dropdown_form>button,
.is-invalid+.select2-container--bootstrap-5 .select2-selection,
.was-validated select:invalid+.select2-container--bootstrap-5 .select2-selection {
    border-color: var(--bs-form-invalid-border-color);
    background-color: rgb(255 50 50 / 32%);
}

.form-control.me_outline:disabled {
    opacity: .4;
    background-color: inherit;
    cursor: not-allowed;
}

.form-control.me_outline:focus:not([disabled]) {
    color: #fff;
    background-color: rgb(0 0 0 / 32%);
    border-color: rgba(255, 255, 255, .5);
    outline: 0;
    -webkit-box-shadow: inset 0px 0px 5px 2px var(--alt-color);
    box-shadow: inset 0px 0px 5px 2px var(--alt-color);
}

.form-control.me_outline[disabled]:focus {
    -webkit-box-shadow: none;
    box-shadow: none;
}

.form-control.me_outline::placeholder {
    color: rgba(255, 255, 255, .3);
    opacity: 1;
    font-size: 0.85em;
    position: relative;
    bottom: 0.05rem;
}

.b_event {
    border-color: var(--alt-color-dark);
    opacity: .5;
}



/************************
* Buttons
************************/

.btn-event {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--alt-color-dark);
    --bs-btn-border-color: var(--alt-color-dark);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--alt-color);
    --bs-btn-hover-border-color: var(--alt-color-dark);
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--alt-color);
    --bs-btn-active-border-color: var(--alt-color-dark);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--alt-color-dark);
    --bs-btn-disabled-border-color: var(--alt-color-dark);
    --bs-btn-disabled-opacity: 0.25;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, opacity 0.15s ease-in-out;
}

.btn-outline-event {
    --bs-btn-color: rgba(255, 255, 255, .5);
    --bs-btn-border-color: rgba(255, 255, 255, .5);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #f6026b;
    --bs-btn-hover-border-color: #f6026b;
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #f6026b;
    --bs-btn-active-border-color: #f6026b;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: rgba(255, 255, 255, .5);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: rgba(255, 255, 255, .5);
    --bs-btn-disabled-opacity: 0.25;
    --bs-gradient: none;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, opacity 0.15s ease-in-out;
}

.btn-outline-cancel {
    --bs-btn-color: rgba(255, 255, 255, .5);
    --bs-btn-border-color: rgba(255, 255, 255, .5);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: transparent;
    --bs-btn-hover-border-color: #fff;
    --bs-btn-focus-shadow-rgb: 248, 249, 250;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgba(255, 255, 255, .5);
    --bs-btn-active-border-color: #fff;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: rgba(255, 255, 255, .5);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: rgba(255, 255, 255, .5);
    --bs-btn-disabled-opacity: 0.25;
    --bs-gradient: none;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, opacity 0.15s ease-in-out;
}



/************************
* Errors
************************/

.error_content {
    text-align: center;
    color: #fff;
    font-size: 1.4em;
    text-shadow: 0px 0px 20px #000;
}

.error_content h1 {
    font-size: 3em;
    font-weight: 700;
}